#include "stdafx.h"

bool MyLog::init()
{
	//DebugBreak();
	if ((eventHandle = RegisterEventSource(NULL, L"HKEY_LOCAL_MACHINE\\System\\CurrentControlSet\\Services\\EventLog\\Application"))!= NULL)
	{
		return true;
	}
	int err = GetLastError();
	return false;
}

bool MyLog::logEvent(LPWSTR msg)
{
	LPCWSTR strs[1]={msg};
	if (ReportEvent(eventHandle, EVENTLOG_ERROR_TYPE, 0, 0, NULL, 1, 0, strs, NULL))
	{
		return true;
	}
	int err = GetLastError();
	return false;
}

MyLog::MyLog()
{
	eventHandle = NULL;
	init();
}

MyLog::~MyLog()
{
	if (eventHandle)
	{
		DeregisterEventSource(eventHandle);
		eventHandle = NULL;
	}
}



